<div class="home-page">
  <section class="slide-section">
    <div class="container-fluid">
      
      <app-header></app-header>

      <div class="slide-content">
        <div class="row">
          <div class="col-md-12">
            <div class="slide-right-img d-none">
              <img src="assets/images/talkroom-2.png" alt="talkroom img">
            </div>
            <div class="slide-content-wrap">
              <h1>Create your personalized video chat room and share this URL with your friends.</h1>
              <!-- <form [formGroup]="loginForm" (ngSubmit)="onSubmit(loginForm.value)" class="form-create-room" novalidate>
                
                <div class="input-group mb-3">
                  <div class="row" style="margin-right: 0px;margin-left: 0px;">
                      <div class="col-md-6" style="padding-left: 0px;">
                          <input [formControl]="loginForm.controls['username']" maxlength="50" type="text" class="form-control" [ngClass]="((loginForm.controls['username'].hasError('required') || loginForm.controls['username'].hasError('validateAlphabetWtihoutSpace')) && loginForm.controls['username'].touched)?'error-msg':''" aria-describedby="emailHelp" placeholder="Enter Name"  aria-label="Recipient's username" aria-describedby="basic-addon2" style="height: 62px;">
                          <span class="error-msg-text" *ngIf="(loginForm.controls['username'].hasError('required')) && loginForm.controls['username'].touched"><i class="fa fa-exclamation-circle"></i>User name is required</span>
                          
                      </div>
                      <div class="col-md-6" style="padding-left: 0px;">
                          <input [formControl]="loginForm.controls['roomname']" maxlength="50" type="text" class="form-control" [ngClass]="((loginForm.controls['roomname'].hasError('required') || loginForm.controls['roomname'].hasError('validateAlphabetWtihoutSpace')) && loginForm.controls['roomname'].touched)?'error-msg':''" aria-describedby="emailHelp" placeholder="Enter Room Name"  aria-label="Recipient's username" aria-describedby="basic-addon2" style="height: 62px;">
                          <span class="error-msg-text" *ngIf="(loginForm.controls['roomname'].hasError('required')) && loginForm.controls['roomname'].touched"><i class="fa fa-exclamation-circle"></i>Room name is required</span>
                      </div>
                  </div>
                  <span class="error-msg-text" *ngIf="(loginForm.value.username != '' && loginForm.value.roomname != '') && !loginForm.valid"><i class="fa fa-exclamation-circle"></i>Invalid user name or room name</span>
                  <div class="input-group-append">
                    <button class="btn btn-info" type="submit" [disabled]="!loginForm.valid" >Start</button>
                  </div>
                </div>
                
              </form> -->
              <form action="#" class="form-create-room" [formGroup]="loginForm" (ngSubmit)="onSubmit(loginForm.value)">
                <div class="name">
                  <input [formControl]="loginForm.controls['username']" maxlength="50" type="text" class="form-control " placeholder="Enter Name" aria-label="Recipient's username" aria-describedby="basic-addon2">
                </div>
                <div class="room">
                  <input [formControl]="loginForm.controls['roomname']" maxlength="50" type="text" class="form-control " placeholder="Enter Room Name" aria-label="Recipient's username" aria-describedby="basic-addon3" [ngClass]="((loginForm.controls['roomname'].hasError('required') || loginForm.controls['roomname'].hasError('validateAlphabetWtihoutSpace')) && loginForm.controls['roomname'].touched)?'error-msg':''">
                </div>

                <button [disabled]="!loginForm.valid || !validateAlphabetWtihoutSpace(loginForm.value.username)" href="javascript:void(0)" class="btn btn-submit d-flex justify-content-center align-items-center waves-effect waves-light"><img src="./assets/images/right-arrow.svg" class="img-fluid" alt=" "></button>
                
              </form>
              {{(loginForm.invalid || !validateAlphabetWtihoutSpace(loginForm.value.username)) ? changeErrorMessage(true) : changeErrorMessage(false)}}
              <!-- <span class="error-msg-text-1" *ngIf="(loginForm.controls['roomname'].hasError('required')) && loginForm.controls['roomname'].touched">Room name is required</span>
              <span class="error-msg-text-1" *ngIf="loginForm.controls['roomname'].touched && (loginForm.controls['roomname'].invalid || loginForm.controls['roomname'].dirty)">Invalid room name</span>
              <span class="error-msg-text-1" *ngIf="loginForm.controls['username'].touched && (loginForm.controls['username'].invalid || loginForm.controls['username'].dirty)">Invalid user name</span> -->

              <span class="error-msg-text-1">{{errorMsg}}</span>
            </div>
            <div class="slide-right-img">
              <img src="assets/images/talkroom-2.png" alt="talkroom img">
            </div>
          </div>
        </div>
      </div>
    </div>
  </section> 

  <section class="how-it-work">
    <div class="container-fluid">	
      <h2 class="headeing pb-5">HOW IT WORKS <span class="devider"></span></h2>
      <div class="how-it-content enter-room-name">
        <div class="row">
          <div class="col-md-6">
            <div class="how-left-img">
              <img src="assets/images/s@2x.png" alt="img">
            </div>
          </div>
          
          <div class="col-md-6">
            <div class="work-content">
              <h3>Enter Conversation Room Name</h3>
              <p>Give any exciting name to your conversation, and we will create a video room.</p>
            </div>
          </div>
        </div>
      </div>
      <div class="how-it-content share-link">
        <div class="row">
          <div class="col-md-6 ">
            <div class="work-content">
              <h3>Copy and Share the link </h3>
              <p>Once you started conversation, its super easy to bring others into this conversation. Simply use  Copy Link feature to copy a shareable link and forward using your preferred means to your buddies.</p>
            </div>
          </div>
          <div class="col-md-6">
            <div class="how-left-img">
              <img src="assets/images/share-link.png" alt="img">
            </div>
          </div>
        </div>
      </div>
      <div class="how-it-content thats-it">
        <div class="row">
          <div class="col-md-6">
            <div class="how-left-img">
              <img src="assets/images/thats-it.png" alt="img">
            </div>
          </div>
          
          <div class="col-md-6">
            <div class="work-content">
              <h3>… that’s it!</h3>
              <p>Yeah !! really that's it. For any one who has link can join by simply hitting the shareable link on your browser( best works with Chrome and Firefox) </p>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>

  <section class="about-us hiw-main" id="about-us-section"> 
    <div class="container-fluid">
      <h2 class="headeing pb-5 text-center">About Us <span class="devider"></span></h2>
      <div class="about-us-content">
        <p>talkroom.io is a brainchild of <a href="https://www.galaxyweblinks.com/" target="_blank">Galaxy Weblinks</a> - a custom software development & consulting company based in Boston, MA. We have always been early adopters to new technologies and WebRTC is no exception. We envisioned a future in real time communication that allows entire world to communicate hassle free. </p>
        <ul>
          Our expert team of <a href="https://rtcweb.in/" target="_blank">RTC developers</a> offers: 
          <li>WebRTC consultation</li>
          <li>Custom WebRTC web application </li>
          <li>Native app for iOS or Android</li>
          <li>Real time dashboard development</li>
          <li>Signaling servers configuration</li>
          <li>Third party WebRTC API integrations</li>
        </ul>
        <p>Some of the industries where we have already helped businesses implement RTC solutions are <a href="https://rtcweb.in/industries" target="_blank">Telehealth</a>, <a href="https://rtcweb.in/industries" target="_blank">Recruitment</a>, <a href="https://rtcweb.in/industries" target="_blank">Ed-Tech</a>, <a href="https://rtcweb.in/industries" target="_blank">Financial Services</a>, <a href="https://rtcweb.in/industries" target="_blank">Hospitality</a>.</p>
        <!-- <p class="m-0">Feel free to <a href="javascript:void(0)" id="contact-us2" >contact us</a> for any WebRTC related questions. </p> -->
      </div>
  </div>
  </section>

  <app-contact-us></app-contact-us>

  <app-footer></app-footer>

</div>
